Package org.h2.store.fs

# Interface Recorder

All Known Implementing Classes:
  `RecoverTester`, `TestReopen`

public interface Recorder
A recorder for the recording file system.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CREATE_NEW_FILE`
Create a new file.
`static final int`
`CREATE_TEMP_FILE`
Create a temporary file.
`static final int`
`DELETE`
Delete a file.
`static final int`
`OPEN_OUTPUT_STREAM`
Open a file output stream.
`static final int`
`RENAME`
Rename a file.
`static final int`
`TRUNCATE`
Truncate the file.
`static final int`
`WRITE`
Write to the file.

## Method Summary

Modifier and Type
Method
Description
`void`
`log(int op, String fileName, byte[] data, long x)`
Record the method.

## Field Details

### CREATE_NEW_FILE

static final int CREATE_NEW_FILE
Create a new file.

See Also:
  - Constant Field Values

### CREATE_TEMP_FILE

static final int CREATE_TEMP_FILE
Create a temporary file.

See Also:
  - Constant Field Values

### DELETE

static final int DELETE
Delete a file.

See Also:
  - Constant Field Values

### OPEN_OUTPUT_STREAM

static final int OPEN_OUTPUT_STREAM
Open a file output stream.

See Also:
  - Constant Field Values

### RENAME

static final int RENAME
Rename a file. The file name contains the source and the target file separated with a colon.

See Also:
  - Constant Field Values

### TRUNCATE

static final int TRUNCATE
Truncate the file.

See Also:
  - Constant Field Values

### WRITE

static final int WRITE
Write to the file.

See Also:
  - Constant Field Values

## Method Details

### log

void log(int op, String fileName, byte[] data, long x)
Record the method.

Parameters:
  `op` - the operation
  `fileName` - the file name or file name list
  `data` - the data or null
  `x` - the value or 0